<!doctype html>
<html lang="en">
  <head>
    <base href="/" />
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="initial-scale=1,maximum-scale=1,minimum-scale=1,user-scalable=0,width=device-width"
    />
    <meta name="theme-color" content="{{{ themeColor }}}" />
    <meta name="author" content="{{{ app.OrganizationId }}}" />
    <meta name="generator" content="Appsemble 0.20.6" />
    <meta name="og:title" content="{{{ app.definition.name }}}" />
    <meta name="og:type" content="website" />
    <meta name="og:locale" content="{{{ locale }}}" />
    <meta name="og:url" content="{{{ appUrl }}}" />
    {{ #locales }}
    <meta name="og:locale:alternate" content="{{.}}" />
    {{ /locales }}
    <meta name="twitter:card" content="summary" />
    <meta name="twitter:site" content="@appsemble_" />
    <meta name="og:description" content="{{{ app.definition.description }}}" />
    <meta name="description" content="{{{ app.definition.description }}}" />
    <meta name="og:image" content="{{{ host }}}/api/apps/{{{ app.id }}}/icon" />
    <meta name="twitter:image" content="{{{ host }}}/api/apps/{{{ app.id }}}/icon" />
    <link rel="icon" sizes="16x16" href="/icon-16.png?updated={{{ appUpdated }}}" />
    <link rel="icon" sizes="32x32" href="/icon-32.png?updated={{{ appUpdated }}}" />
    <link rel="icon" sizes="96x96" href="/icon-96.png?updated={{{ appUpdated }}}" />
    <link rel="icon" sizes="128x128" href="/icon-128.png?updated={{{ appUpdated }}}" />
    <link rel="icon" sizes="192x192" href="/icon-192.png?updated={{{ appUpdated }}}" />
    <link
      rel="apple-touch-icon"
      sizes="76x76"
      href="/icon-76.png?maskable=true&updated={{{ appUpdated }}}"
    />
    <link
      rel="apple-touch-icon"
      sizes="120x120"
      href="/icon-120.png?maskable=true&updated={{{ appUpdated }}}"
    />
    <link
      rel="apple-touch-icon"
      sizes="152x152"
      href="/icon-152.png?maskable=true&updated={{{ appUpdated }}}"
    />
    <link
      rel="apple-touch-icon"
      sizes="144x144"
      href="/icon-144.png?maskable=true&updated={{{ appUpdated }}}"
    />
    <link
      rel="apple-touch-icon"
      sizes="152x152"
      href="/icon-152.png?maskable=true&updated={{{ appUpdated }}}"
    />
    <link
      rel="apple-touch-icon"
      sizes="167x167"
      href="/icon-167.png?maskable=true&updated={{{ appUpdated }}}"
    />
    <link
      rel="apple-touch-icon"
      sizes="180x180"
      href="/icon-180.png?maskable=true&updated={{{ appUpdated }}}"
    />
    <!-- This *must* be the bottom one. -->
    <link rel="apple-touch-icon" href="/icon-57.png?maskable=true&updated={{{ appUpdated }}}" />
    <link rel="manifest" href="/manifest.json" />
    <title>{{ app.definition.name }}</title>
    <link rel="stylesheet" href="{{{ bulmaURL }}}" id="bulma-style-app" />
    <link rel="stylesheet" href="{{{ faURL }}}" />
    {{#app.coreStyle}}
    <link rel="stylesheet" href="/core.css?updated={{{ appUpdated }}}" />
    {{/app.coreStyle}} {{#app.sharedStyle}}
    <link rel="stylesheet" href="/shared.css?updated={{{ appUpdated }}}" />
    {{/app.sharedStyle}} {{#app.googleAnalyticsID}}
    <script
      async
      src="https://www.googletagmanager.com/gtag/js?id={{{ app.googleAnalyticsID }}}"
    ></script>
    {{/app.googleAnalyticsID}}
    <script nonce="{{{ nonce }}}">
      window.addEventListener('load', function () {
        if (!window.appsembleHasLoaded) {
          document.getElementById('app').innerHTML =
            document.getElementById('legacy-browser-support').innerHTML;
        }
      });
    </script>
    <script id="app-controller" nonce="{{{ nonce }}}"></script>
    {{{ settings }}}
  </head>
  <body class="has-navbar-fixed-top">
    <div class="is-fixed-top is-primary navbar">
      <header class="navbar-brand">
        <h2 class="navbar-item title is-4">{{ app.definition.name }}</h2>
      </header>
    </div>
    <div id="app">
      <noscript>
        <section class="section">
          <p class="container">
            JavaScript seems to be disabled. <br />
            Please enable JavaScript in your browser settings.
          </p>
        </section>
      </noscript>
      <script id="legacy-browser-support" type="text/x-template">
        <div class="content section">
          <h3>Error loading {{ app.definition.name }}</h3>
          <p>There was a problem loading {{ app.definition.name }}. This is most likely caused by an unstable internet connection. Please try again later.</p>
          <p>Another cause can be that your browser is unsupported. {{ app.definition.name }} is built using the latest web technology. This requires a modern browser.</p>
          <p>Please make sure you’re using the latest version of one of the following browsers to use {{ app.definition.name }}.</p>
          <div class="browsers">
            <div class="browser-logo">
              <a href="https://www.google.com/chrome" rel="noopener noreferrer" target="_blank">
                <img alt="Google Chrome" src="<%= require('@browser-logos/chrome/chrome.png').default %>" />
                <h5>Google Chrome</h5>
              </a>
              <p>The world’s most popular browser by Google</p>
            </div>
            <div class="browser-logo">
              <a href="https://www.microsoft.com/edge" rel="noopener noreferrer" target="_blank">
                <img alt="Microsoft Edge" src="<%= require('@browser-logos/edge/edge.png').default %>" />
                <h5>Microsoft Edge</h5>
              </a>
              <p>The new Microsoft browser to replace Internet Explorer</p>
            </div>
            <div class="browser-logo">
              <a href="https://www.mozilla.org/firefox" rel="noopener noreferrer" target="_blank">
                <img
                  alt="Mozilla Firefox"
                  src="<%= require('@browser-logos/firefox/firefox.png').default %>"
                />
                <h5>Mozilla Firefox</h5>
              </a>
              <p>The free and open source web browser</p>
            </div>
            <div class="browser-logo">
              <a href="https://www.apple.com/safari" rel="noopener noreferrer" target="_blank">
                <img alt="Apple Safari" src="<%= require('@browser-logos/safari/safari.png').default %>" />
                <h5>Apple Safari</h5>
              </a>
              <p>The default browser for your Apple device</p>
            </div>
          </div>
          <p>
            On Windows or Linux this problem can be solved by pressing <kbd>Ctrl</kbd>+<kbd>Shift</kbd>+<kbd>R</kbd>.<br />
            In Safari this problem can be solved by pressing <kbd>Option</kbd>+<kbd>Command</kbd>+<kbd>E</kbd>.<br />
            In other browsers on MacOS, this problem can be solved by pressing <kbd>Command</kbd>+<kbd>Shift</kbd>+<kbd>R</kbd>.
          </p>
        </div>
      </script>
    </div>
  </body>
</html>
